export default defineNuxtRouteMiddleware((to, _from) => {
    const user = useSupabaseUser()
    const router = useRouter()
    if (!user.value) {
        //useCookie('redirect', { path: '/' }).value = to.fullPath
        return router.push("/login")
    }
})